#include <iostream>

using namespace std;

int main() {
	int a, b, x, y;
	cin >> a >> b >> x >> y;
	if(x == a && y < b) {
		cout << "drugi" << endl;
	}else if(x < a && y == b) {
		cout << "prvi" << endl;
	}else if(x == a && y == b) {
		cout << "nijedan" << endl;
	}else{
		cout << "?" << endl;
	}
	
	return 0;
}